<?php
defined( 'ABSPATH' ) || die();

require_once WLSM_PLUGIN_DIR_PATH . 'admin/inc/school/global.php';

$page_url_invoices = admin_url( 'admin.php?page=' . WLSM_MENU_STAFF_INVOICES );
?>
<div class="wlsm container-fluid">
	<?php
	require_once WLSM_PLUGIN_DIR_PATH . 'admin/inc/school/staff/partials/header.php';
	?>

	<div class="row">
		<div class="col-md-12">
			<div class="text-center wlsm-section-heading-block">
				<span class="wlsm-section-heading">
					<i class="fas fa-file-invoice"></i>
					<?php esc_html_e( 'Accounting', 'school-management-system' ); ?>
				</span>
			</div>
		</div>
	</div>

	<div class="row mt-3 mb-3">
		<?php if ( WLSM_M_Role::check_permission( array( 'manage_invoices' ), $current_school['permissions'] ) ) { ?>
		<div class="col-md-4 col-sm-6">
			<div class="wlsm-group">
				<span class="wlsm-group-title"><?php esc_html_e( 'Fee Invoices', 'school-management-system' ); ?></span>
				<div class="wlsm-group-actions">
					<a href="<?php echo esc_url( $page_url_invoices ); ?>" class="btn btn-sm btn-primary">
						<?php esc_html_e( 'Fee Invoices', 'school-management-system' ); ?>
					</a>
					<a href="<?php echo esc_url( $page_url_invoices . '&action=save' ); ?>" class="btn btn-sm btn-outline-primary">
						<?php esc_html_e( 'Add New Fee Invoice', 'school-management-system' ); ?>
					</a>
					<a href="<?php echo esc_url( $page_url_invoices . '&action=payment_history' ); ?>" class="btn btn-sm btn-outline-primary">
						<?php esc_html_e( 'Payment History', 'school-management-system' ); ?>
					</a>
				</div>
			</div>
		</div>
		<?php } ?>
	</div>
</div>
